import { type ScaleLinear } from 'd3-scale';
import type { WaferMap } from '..';
import type { ColorScale, Dimensions, Margin } from '../workers/types';
/**
 * Computations calculates and stores different measures which are used in the Wafermap
 */
export declare class Computations {
    private readonly wafermap;
    get horizontalScale(): ScaleLinear<number, number>;
    get verticalScale(): ScaleLinear<number, number>;
    get containerDimensions(): Dimensions;
    get dieDimensions(): Dimensions;
    get margin(): Margin;
    get verticalCoefficient(): number;
    get horizontalCoefficient(): number;
    get horizontalConstant(): number;
    get verticalConstant(): number;
    get gridMinX(): number;
    get gridMaxX(): number;
    get gridMinY(): number;
    get gridMaxY(): number;
    get labelsFontSize(): number;
    get colorScale(): ColorScale;
    private _horizontalScale;
    private _verticalScale;
    private _containerDimensions;
    private _dieDimensions;
    private _margin;
    private _verticalCoefficient;
    private _horizontalCoefficient;
    private _horizontalConstant;
    private _verticalConstant;
    private _gridMinX;
    private _gridMaxX;
    private _gridMinY;
    private _gridMaxY;
    private _labelsFontSize;
    private _colorScale;
    private readonly baseMarginPercentage;
    private readonly fontSizeFactor;
    private readonly colorScaleResolution;
    constructor(wafermap: WaferMap);
    componentResizeUpdate(): void;
    inputDataUpdate(): void;
    colorAndTextUpdate(): void;
    private gridDimensionsValidAndDefined;
    private setGridDimensionsFromBoundingBox;
    private setGridDimensionsFromDies;
    private calculateContainerDimensions;
    private createHorizontalScale;
    private createVerticalScale;
    private calculateMarginAddition;
    private calculateColorScale;
    private calculateLabelsFontSize;
}
